package de.hft.stuttgart.citydoctor2.webservice.model.entities;

import javax.persistence.Access;
import javax.persistence.AccessType;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

@Entity
public class WebError {
	
	@Id
	@GeneratedValue(strategy = GenerationType.IDENTITY)
	@Access(AccessType.PROPERTY)
	private int id;
	
	@NotNull
	private String name;
	
	@JoinColumn(name = "building_id")
	@NotNull
	@ManyToOne
	private WebBuilding building;
	
	@ManyToOne
	@NotNull
	private Validation validation;

	public Validation getValidation() {
		return validation;
	}

	public void setValidation(Validation validation) {
		this.validation = validation;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public WebBuilding getBuilding() {
		return building;
	}

	public void setBuilding(WebBuilding building) {
		this.building = building;
	}

}
